package models

type ClientDrawLogRequest struct {
	ClientOpenID string `json:"client_open_id"` //
	PageSize     int    `json:"page_size"`
	PageIndex    int    `json:"page_index"`
}

type ClientDrawLogReply struct {
	DrawProductName string `json:"draw_product_name"` //奖品名称
	IsPrize         int    `json:"is_prize"`          //1-未中奖 2-未兑奖 3-已兑奖
	Id              int64  `json:"id"`                //id
}

type DrawLogVerificationCodeRequest struct {
	DrawLogId int64 `json:"draw_log_id"`
}

type DrawLogVerificationCodeReply struct {
	DrawLogId int64  `json:"draw_log_id"`
	Key       string `json:"key"`
}

type DrawCancelRequest struct {
	DrawLogId int64  `json:"draw_log_id"`
	Key       string `json:"key"`
}
